#
# spec file for package fvwm1 (Version 1.24r)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xpm tetex

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         fvwm1
Release:      16
Copyright:    1994 Robert Nation, Mark Boyns, Mark Scott
Group: 
Provides:     fvwm 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.24r
Summary:      THE window manager for Linux (old version)
Source: fvwm-1.24r.tar.gz
Patch: fvwm-1.24r.dif
%description
Since versions 1.x and 2.x are not compatible, we have kept the old
version in the distribution. This version is configured with the system-wide
configuration file /usr/X11R6/lib/X11/fvwm/system.fvwmrc, as well as the
user's personal configuration file ~/.fvwmrc in the home directory.
The program susewm is able to configure this window manager,too.
Important! Please read the file /usr/doc/packages/fvwm1/README.SuSE!
Documentation: 
man fvwm
fvwmman <manpage>
/usr/doc/packages/fvwm1 

Authors:
--------
    Andrew Davison <davison@cs.monash.edu.au>
    Drew Moseley <ddm@cis.ufl.edu>
    Jason L Tibbitts <tibbs@tcamc.uh.edu>
    John Heidemann <johnh@ficus.CS.UCLA.EDU>
    Mark Boyns <boyns@sdsu.edu>
    Mark Scott <mscott@mcd.mot.com>
    Mike Finger <mfinger@mermaid.micro.umn.edu>
    Mr. Per Persson <pp@solace.mh.se>
    Nobutaka Suzuki <nobuta-s@is.aist-nara.ac.jp>
    Robert Nation <fvwm@wonderland.org>

%prep
%setup -n fvwm-1.24r
%patch
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/X11/fvwm
%dir /usr/doc/packages/fvwm1
%dir /usr/doc/packages/fvwm1/documentation
%dir /usr/doc/packages/fvwm1/man
%dir /usr/doc/packages/fvwm1/man/man1
%dir /usr/doc/packages/fvwm1/sample.fvwmrc
/usr/X11R6/bin/fvwm
/usr/X11R6/bin/fvwmman
/usr/X11R6/lib/X11/fvwm/FvwmAudio
/usr/X11R6/lib/X11/fvwm/FvwmAuto
/usr/X11R6/lib/X11/fvwm/FvwmBacker
/usr/X11R6/lib/X11/fvwm/FvwmBanner
/usr/X11R6/lib/X11/fvwm/FvwmClean
/usr/X11R6/lib/X11/fvwm/FvwmDebug
/usr/X11R6/lib/X11/fvwm/FvwmIconBox
/usr/X11R6/lib/X11/fvwm/FvwmIdent
/usr/X11R6/lib/X11/fvwm/FvwmPager
/usr/X11R6/lib/X11/fvwm/FvwmSave
/usr/X11R6/lib/X11/fvwm/FvwmSaveDesk
/usr/X11R6/lib/X11/fvwm/FvwmScroll
/usr/X11R6/lib/X11/fvwm/FvwmWinList
/usr/X11R6/lib/X11/fvwm/GoodStuff
/usr/X11R6/lib/X11/fvwm/ProgStuff
/usr/X11R6/lib/X11/fvwm/system.fvwmrc
/usr/X11R6/lib/libfvwmlib.a
%doc /usr/X11R6/man/man1/fvwm.1.gz
%doc /usr/doc/packages/fvwm1/.message
%doc /usr/doc/packages/fvwm1/ChangeLog
%doc /usr/doc/packages/fvwm1/README.Install
%doc /usr/doc/packages/fvwm1/README.SuSE
%doc /usr/doc/packages/fvwm1/documentation/WhereToGetIt
%doc /usr/doc/packages/fvwm1/documentation/error_codes
%doc /usr/doc/packages/fvwm1/documentation/m4_hacks
%doc /usr/doc/packages/fvwm1/documentation/mailing_list
%doc /usr/doc/packages/fvwm1/documentation/modules.dvi
%doc /usr/doc/packages/fvwm1/documentation/modules.tex
%doc /usr/doc/packages/fvwm1/fvwm.README
%doc /usr/doc/packages/fvwm1/man/man1/FvwmAudio.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmAuto.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmBacker.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmBanner.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmClean.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmDebug.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmIconBox.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmIdent.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmPager.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmSave.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmSaveDesk.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmScroll.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/FvwmWinList.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/GoodStuff.1.gz
%doc /usr/doc/packages/fvwm1/man/man1/fvwm.1.gz
%doc /usr/doc/packages/fvwm1/sample.fvwmrc/4Dwm.fvwmrc
%doc /usr/doc/packages/fvwm1/sample.fvwmrc/README
%doc /usr/doc/packages/fvwm1/sample.fvwmrc/minimal.fvwmrc
%doc /usr/doc/packages/fvwm1/sample.fvwmrc/mwm.fvwmrc
%doc /usr/doc/packages/fvwm1/sample.fvwmrc/system.fvwmrc

